package kr.co.hanwha.hifive.adapter.contract;

import android.support.annotation.NonNull;

import java.util.ArrayList;

import kr.co.hanwha.hifive.data.model.TaskListData;

/**
 * 검색 결과 어댑터 Interface
 *
 * @see kr.co.hanwha.hifive.adapter.SearchTaskListAdapter
 * <p>
 * Created by sanghoonkwon on 2018. 1. 23..
 */

public interface SearchTaskListContract {
    interface OnSearchListListener {
        /**
         * TASK 선택
         */
        void onTaskClicked(@NonNull TaskListData data);
    }

    interface View {
        void notifyDataAll();

        void notifyDataRangeChanged(int positionStart, int itemCount);
    }

    interface Model {
        void clearItems();

        void addItem(TaskListData data);

        void addItem(TaskListData data, int index);

        void addItems(ArrayList<TaskListData> list);
    }
}
